--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Change whether a column is required.
- !ruby/struct:SM::Flow::P 
  body: Make sure you are executing this method while in single-user mode (i.e. not running in client/server mode).
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "*col_name*:"
    body: Symbol of column name.
  - !ruby/struct:SM::Flow::LI 
    label: "*required*:"
    body: true or false.
  type: :NOTE
full_name: KirbyBase::KBTable#change_column_required
is_singleton: false
name: change_column_required
params: (col_name, required)
visibility: public
